Retrieves all Primary Uses. The array of Primary Uses can be filtered by Primary Use type. Possible values for this filter include: "meter", "place". See the filter property for more details
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| primaryusetype | Primary Use Type Code | String | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
PrimaryUseResponse
| Property | Description | Type |
|---|---|---|
| primaryUseCode | string | |
| primaryUseId | integer (int32) | |
| primaryUseInfo | string | |
| primaryUseType | string |
Example Response
[
{ "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string", "primaryUseType": "string"
}
]